<ng-container *transloco="let t; read: 'manage_organization'">
  <div class="app-max-width-wrapper min-large-table-width">
    <h1 class="page-header">
      {{t('organization_category_requests')}}
    </h1>
    <app-category-request-button
      [disabled]="hasOpenRequests$|ngrxPush"
      (createRequestClicked)="openCategoryRequestDialog()">
    </app-category-request-button>
    <app-manage-organization-category-requests-table
      [organizationCategoryRequests]="categoryRequests$|ngrxPush"
      (revokeRequestClicked)="openRevokeRequestDialog($event)">
    </app-manage-organization-category-requests-table>
  </div>
</ng-container>
